Bug 376741

Summary: Installation failure during post copy processing
Product: [Fedora] Fedora Reporter: Matt Marnell <matt>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 8CC: davidz, steved
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 00:09:49 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Matt Marnell 2007-11-11 20:01:35 EST
Description of problem:

After installing from the live CD and going through all steps up to the copy to
disk, the status bar for the copy goes all the way to the right, with a very
narrow margin left, and a popup about post processing the filesystems comes up
says it will take several minutes.

After this taking between 10-15 minutes a report of an exception occurring comes
up.  The exception lists a stack trace, newest first.  The call in failure is:

File "/usr/lib/anaconda/livecd.py", line 65 in copytree
     os.chown(dstname, os.stat(srcname)[stat.ST_UID], or.stat(srcname)[stat.ST_GID])

At the bottom of the stacktrace is:

OverflowError: signed integer is greater than maximum

Needless to say, this does not produce a viable system.

Version-Release number of selected component (if applicable):

This has happened with both the LiveCD KDE install of Fedora 7 and Fedora 8 on
the same hardware.  The hardware is sizeable, but I wouldn't says ridiculous.

How reproducible:

Very

Steps to Reproduce:
1. As above.
2.
3.
  
Actual results:

failure

Expected results:

success

Additional info:

The hardware in question.

Dual daulcore AMD Opteron 2220 CPUs on an ASUS KFN32-d SLI/SAS motherboard.
8 GB of RAM.
3Ware Raid card with 2 arrays, 1 w/ 4 250GB disks and 1 w/ 4 500GB disks in raid
5 arrangements.  The first array is 670GB, the second is 1.4TB.
The 670GB partition contains all system data, the smallest partition is / with
16GB and the largest if /var with 200GB (I like logs and get a lot of spam). 
The second is User data and /home is 500GB.  I don't recall any of these as
being over any kind of size limit.

I'm having to install from the LiveCD/DVD rather than the monolithic DVD due to
not having another system capable of downloading files greater than 2GB.

I wouldn't be surprised to find out that I have to not include or resize
something but haven't the foggiest what it might be.

The computer isn't on a network, I don't currently have a way of getting you
more info, however, if my error isn't apparent from the info provided, I'll lug
it into the office from my workshop.
Comment 1 Chris Lumens 2007-11-12 11:47:05 EST
It'd be helpful to know what srcname and dstname are.  Those should be listed
right below the traceback in the exception report.
Comment 2 Matt Marnell 2007-11-12 23:08:36 EST
Okay, hopefully I can give you more than that:

Local variables in innermost frame

symlink: True
src: /mnt/sysimage//var/spool/mail
errors: []
name: nfsnobody
dstname: /mnt/sysimage/mnt//var/spool/mail/nfsnobody
preserveSelinux: True
dst: /mnt/sysimage/mnt//var/spool/mail
srcname: /mnt/sysimage//var/spool/mail/nfsnobody
name: ['tcpdump', 'mailnull', 'haldaemon', 'nfsnobody', 'smmsp', 'avahi', 'polkituser', 'rpcuser', 'sshd', 
'nscd', 'rpc', 'pulse', 'vsca', 'dbus', 'ntp', 'rpm']
preserveOwner: True

And thanks to having me look this up, it appears that

/mnt/sysimage/var/spool/mail/nfsnobody has an owner of nfsnobody, with a UID of 4294967294

That's the max for an unsigned int, or one short of it, I believe, which is about double what a signed int 
allows.  So I believe that the failure is good.  Is it python that's at fault, or the image having this with a 
UID that large.  I can't imagine I'm the first person to run into this, am I?
Comment 3 Chris Lumens 2007-11-13 14:49:52 EST
*** Bug 380801 has been marked as a duplicate of this bug. ***
Comment 4 Chris Lumens 2007-11-13 15:15:51 EST
Okay, I've added a workaround to fix this in anaconda.  We can build an updates
image for this if required later on.  For now I am also moving this bug to the
livecd-creator component as it seems to me that fake users like nfsnobody and
others should not have mail spools created for them.  I'll let that package's
maintainer decide where it should go from there.
Comment 5 Jeremy Katz 2007-11-13 15:21:00 EST
Not controlled by livecd-creator; it's instead up to the useradd invocation in
%post scriptlets of packages.  In this case, nfs-utils creates nfsnobody
Comment 6 Matt Marnell 2007-11-13 18:11:22 EST
Is it likely that I can remove this mailbox, and any other files under
/mnt/sysimage that are owned by nfsnobody, or is that a readonly filesystem off
of the CD/DVD-ROM.  Is this only limited to 64bit installs (ppc and x86_64)?

I'll go try my first question anyway, and report back.

If I don't have a workaround, how and when do new iso images get generated?
Comment 7 Matt Marnell 2007-11-14 00:24:34 EST
Removing this from the running system does not affect the install, which seems
to go against the CD/DVD's content, or the uncached view of the FS, which makes
sense, you don't want to copy over things you may have screwed up playing with
the live system.  So, no joy in Mudville.  I did play at editing the iso, but
I'm not going to make any headway there.
Comment 8 Matt Marnell 2007-11-14 23:35:21 EST
I've confirmed that this is also an issue on the x86_64/gnome liveCD/DVD for
Fedora 8, and also the problem with I was having with the x86_64/KDE for Fedora
7 as well.  I'm going to guess that the gnome version of Fedora 7 has this issue
as well.

Going to try the full DVD iso, which I hadn't previously been able to download.
Comment 9 Steve Dickson 2008-02-22 07:52:42 EST
I guess I'm a bit confused as to what need to happen and why
this is a nfs-utils bug.
Comment 10 Bug Zapper 2008-11-26 03:19:54 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 00:09:49 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.